> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zivio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a file to a project by ID and attachment_scope with optional sensitivity labels



## OpenAPI

````yaml post /jobs/{id}/file_upload
openapi: 3.0.0
info:
  title: API V3
  version: '3'
  description: >-
    Create your API key from the API Keys section of the Admin Dashboard to gain
    access to the API.
  contact:
    name: API Support
    email: support@zivio.com
servers:
  - url: https://api.zivio.net/api/v3
    description: Global API Router
  - url: https://api.eu.zivio.net/api/v3
    description: EU Data Region
  - url: https://api.uk.zivio.net/api/v3
    description: UK Data Region
  - url: https://api.us.zivio.net/api/v3
    description: US Data Region
security:
  - apiKey: []
    tenantId: []
paths:
  /jobs/{id}/file_upload:
    post:
      tags:
        - Jobs
      summary: >-
        Upload a file to a project by ID and attachment_scope with optional
        sensitivity labels
      parameters:
        - name: id
          in: path
          required: true
          description: ID of the Project
          schema:
            type: string
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                sensitivity_labels:
                  type: array
                  description: >-
                    Optional sensitivity labels for the file, pass name/s of
                    existing or new labels split by comma e.g. 'label1,label2'
                  items:
                    type: string
                attachment_scope:
                  type: string
                  description: >-
                    Scope of the attachment - Shared file (job_posting) or
                    internal file (internal)
                  enum:
                    - job_posting
                    - internal
              required:
                - file
                - attachment_scope
      responses:
        '200':
          description: ok
          content:
            '*/*':
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: File uploaded successfully to Project 123
        '401':
          description: unauthorized
        '404':
          description: not found
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-API-Key
      in: header
    tenantId:
      type: apiKey
      name: zivio-tenant-id
      in: header

````